rm(list=ls())
library(mamlr)
httr::set_config(httr::config(http_version = 0))
doctypes <- c('volkskrant (print)','VG')

#'telegraaf (print)','nrc (print)','Het Laatste Nieuws','De Standaard','De Morgen','Jyllands-Posten','Politiken','Ekstra Bladet','VG','Aftenposten')
dates <- seq(as.Date("2000-01-01"), as.Date("2018-01-01"), "day")
grid <- crossing(doctypes,dates)
cutoff_lower <- .85 ### Cutoff for cosine similarity above which documents are considered duplicates
cutoff_upper <- 1
words <- '300'
out <- lapply(seq(1,length(grid[[1]]),1), dupe_detect, grid = grid, cutoff_lower = cutoff_lower, cutoff_upper = cutoff_upper, words = words, localhost = T)
print(out)
